%define aurox_ver 10.0
%define rel 3

%define qt_version 3.3.2
%define desktop_file 1

Summary: GUI for Synaptics TouchPad driver
Name: qsynaptics
Version: 0.21
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: User Interface/X
Source: %{name}-%{version}.tar.bz2
Source1: qsynaptics.desktop
Requires: qt >= %{qt_version}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: XFree86-devel
BuildRequires: qt-devel >= %{qt_version}

%description

This is a GUI for the Synaptics TouchPad driver (synaptics).

%prep

%setup -n %{name}

%build
cd src
qmake
make

%clean
rm -rf $RPM_BUILD_ROOT

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install bin/qsynaptics $RPM_BUILD_ROOT%{_bindir}

%if %{desktop_file}
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
#    desktop-file-install --vendor kde \
#    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
#    --delete-original \
#    --add-category ";Application;SystemSetup;X-Aurox-Base" \
#    $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/*.desktop
%endif

#add here
install -D -m 644 src/qsynaptics.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/qsynaptics.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/qsynaptics.desktop
	      
	      
%files
%defattr(-,root,root)
%{_bindir}/qsynaptics
%{_datadir}/pixmaps/qsynaptics.png
%{_datadir}/applications/qsynaptics.desktop
%doc AUTHORS COPYING ChangeLog README TODO


%changelog
* Mon Aug 02 2004 Aurox Team <aurox@aurox.org> 0:0.21-10.0.aur.3
- build with *.desktop entry and icon
- initial build with success..

* Mon Aug 02 2004 Aurox Team <aurox@aurox.org> 0:0.21-10.0.aur.1


* Tue Feb 03 2004 Giorgio Bellussi <bunga@libero.it>
- Created RedHat compatible .spec file
